> Documentation index for AI agents: https://docs.pagerduty.com/llms.txt

# Slack Notification Channels

Incident notification channels are slack channels linked to send non-critical notifications of the incident.

- [List Notification Channels](https://docs.pagerduty.com/developer/api/reference/integration-slack/slack-notification-channels/get-notification-channels.md) — `GET /incidents/{incident_id}/notification_channels`
- [Create a Slack Notification Channel](https://docs.pagerduty.com/developer/api/reference/integration-slack/slack-notification-channels/create-notification-channel.md) — `POST /incidents/{incident_id}/notification_channels`
- [Update Slack Notification Channels](https://docs.pagerduty.com/developer/api/reference/integration-slack/slack-notification-channels/update-notification-channel.md) — `PUT /incidents/{incident_id}/notification_channels`
- [Remove a Slack Notification Channel](https://docs.pagerduty.com/developer/api/reference/integration-slack/slack-notification-channels/remove-notification-channel.md) — `DELETE /incidents/{incident_id}/notification_channels/{channel_id}`

## Developer Agreement

Your access to and use of the PagerDuty Developer Services is governed by the [PagerDuty Developer Agreement](https://docs.pagerduty.com/developer/pagerduty-developer-agreement).
